## open-plc-utils 0.0.6%2Bgit20250218.cbf52f68

=== debian/changelog ===
open-plc-utils (0.0.6+git20250218.cbf52f68-1) unstable; urgency=medium

  * New upstream version (commit cbf52f68) with fix for FTBFS with gcc-15.
    Thanks to Michael Heimpold. (Closes: #1097508).

 -- Mark Hindley <leepen@debian.org>  Wed, 19 Feb 2025 15:15:16 +0000

open-plc-utils (0.0.6+git20230504.1ba7d5a0-1) unstable; urgency=medium

  * New upstream version, commit 1ba7d5a0.
  * d/control:
     - reword short description.
     - bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Thu, 04 May 2023 08:12:27 +0100

open-plc-utils (0.0.6+git20211210.358dfcf-2) unstable; urgency=medium

  * d/control:
     - reword and expand package descriptions.
     - mark plc-utils-doc multi-arch: foreign (multi-arch hinter).
     - wrap plc-utils long description (lintian).
  * d/gbp.conf: configure debian-branch.
  * d/copyright: add missing dot for continuation lines (lintian).
  * Add autopkgtest.

 -- Mark Hindley <leepen@debian.org>  Thu, 24 Mar 2022 09:54:07 +0000

open-plc-utils (0.0.6+git20211210.358dfcf-1) unstable; urgency=medium

  * Initial Debian package. (Closes: #1006977)

 -- Mark Hindley <leepen@debian.org>  Wed, 16 Mar 2022 14:56:11 +0000

## open-plc-utils 0.0.6%2Bgit20250712.46c3506

=== serial/Makefile ===
#!/usr/bin/make -f
# file: serial/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.txt *.c *.h 
TOOLS=int6kuart int6kbaud ttysig ptsctl weeder ttysend ttyrecv ttycat int6kdetect 
PAGES=int6kuart.1 int6kbaud.1 ttysig.1 ptsctl.1 weeder.1 ttycat.1 ttysend.1 ttyrecv.1 int6kdetect.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f int6k ${TOOLS}
	cd ${MAN}; rm -f int6k ${PAGES}
check:
	${SHELL} serial.sh
fresh: clean compile
clean:
	rm -f ${TRASH} ${TOOLS}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules;     
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# programs;     
# --------------------------------------------------------------------

int6kuart: int6kuart.o getoptv.o putoptv.o version.o uintspec.o basespec.o todigit.o error.o checksum32.o hexencode.o hexdump.o hexstring.o hexdecode.o openport.o closeport.o serial.o
int6kbaud: int6kbaud.o getoptv.o putoptv.o version.o uintspec.o basespec.o todigit.o error.o checksum32.o hexencode.o hexdump.o hexstring.o hexdecode.o synonym.o openport.o closeport.o serial.o
ttysig: ttysig.o getoptv.o putoptv.o version.o error.o uintspec.o todigit.o
ttysend: ttysend.o getoptv.o putoptv.o version.o error.o uintspec.o todigit.o baudrate.o
int6kdetect: int6kdetect.o getoptv.o putoptv.o version.o error.o baudrate.o
ttyrecv: ttyrecv.o getoptv.o putoptv.o version.o error.o uintspec.o todigit.o baudrate.o
weeder: weeder.o getoptv.o putoptv.o version.o uintspec.o synonym.o todigit.o error.o
ptsctl: ptsctl.o getoptv.o putoptv.o version.o uintspec.o synonym.o todigit.o error.o
ttycat: ttycat.o getoptv.o putoptv.o version.o efreopen.o error.o baudrate.o uintspec.o todigit.o

# ====================================================================
# includes;
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../serial/serial.mak
include ../plc/plc.mak

## open-plc-utils 0.0.6+git20211210.358dfcf

=== debian/control ===
Source: open-plc-utils
Section: net
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/LeePen/open-plc-utils.git
Vcs-Browser: https://salsa.debian.org/LeePen/open-plc-utils
Homepage: https://github.com/qca/open-plc-utils

Package: plc-utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcap2-bin, sudo
Suggests: plc-utils-extra
Description: Basic toolkit for HomePlug Powerline network adapters with Atheros chipsets
 Utilities for users to query information from and flash firmware to the adapter
 chipsets.
 .
  - amptool: AR7400 and QCA7450 chipsets.
  - plctool: QCA6410, QCA7000 and QCA7420 chipsets.
  - int6k: INT6000, INT6300 and INT6400 legacy chipsets.

Package: plc-utils-extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: plc-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Extended toolkit for HomePlug Powerline network adapters with Atheros chipsets
 Additional tools and utilities that might be of use to hardware
 engineers and software developers working with Atheros Powerline
 chipsets and the HomePlug 1.0 and HomePlug AV protocols (IEEE-802.3).

Package: plc-utils-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: plc-utils
Description: Additional documentation from the Atheros Powerline toolkit
 Upstream developer documentation in HTML format relating to the
 toolkit utilities, chipsets and HomePlug 1.0 and HomePlug AV
 protocols (IEEE-802.3).

## open-plc-utils 0.0.6+git20230504.1ba7d5a0

=== mme/Makefile ===
#!/usr/bin/make -f
# file: mme/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9] *.out
FILES=Makefile *.mak *.sh *.txt *.c *.h *.xml *.css
TOOLS=hpav mme 
PAGES=hpav.1 mme.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} mme.sh
fresh: clean compile
clean:
	rm -f ${TOOLS} ${TRASH}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules;
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# programs; 
# --------------------------------------------------------------------

hpav: hpav.o getoptv.o putoptv.o version.o hexdump.o hexdecode.o hexstring.o error.o channel.o initchannel.o openchannel.o closechannel.o sendpacket.o readpacket.o MMEPeek.o MMEName.o MMEMode.o uintspec.o todigit.o desuid.o
hpavd: hpavd.o getoptv.o putoptv.o version.o hexdump.o hexdecode.o hexstring.o error.o channel.o initchannel.o openchannel.o closechannel.o sendpacket.o readpacket.o MMEPeek.o MMEName.o MMEMode.o desuid.o
mme: mme.o getoptv.o putoptv.o version.o uintspec.o todigit.o output.o error.o MMEName.o MMEMode.o

# ====================================================================
# includes; 
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../ether/ether.mak
include ../mme/mme.mak
include ../plc/plc.mak

=== pib/Makefile ===
#!/usr/bin/make -f
# file: pib/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9] *.test 
FILES=Makefile *.mak *.sh *.txt *.c *.h *.xml *.css
TOOLS=chkpib chkpib2 setpib getpib modpib pib2xml pibcomp pibdump pibruin xml2pib psin psout pskey
TOOLS+=psgraph psnotch pibrump 
PAGES=chkpib.1 chkpib2.1 setpib.1 getpib.1 modpib.1 pib2xml.1 pibcomp.1 pibdump.1 xml2pib.1 psin.1 psout.1 pskey.1
PAGES+=pibrump.1 pibruin.1 psgraph.1 psnotch.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS} 
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
install: $(TOOLS) library
	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} pib.sh
fresh: clean compile
clean:
	rm -f ${TRASH} ${TOOLS} 
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules;
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# Build C version;
# --------------------------------------------------------------------

fetchpib: fetchpib.o getoptv.o putoptv.o version.o checksum32.o error.o 
chkpib: chkpib.o getoptv.o putoptv.o version.o pibpeek1.o pibpeek2.o checksum32.o fdchecksum32.o  keys.o hexstring.o error.o hexdecode.o SHA256.o HPAVKeyNID.o fdmanifest.o manifest.o strfbits.o
chkpib2: chkpib2.o getoptv.o putoptv.o version.o pibpeek1.o pibpeek2.o checksum32.o fdchecksum32.o keys.o hexstring.o error.o hexdecode.o SHA256.o HPAVKeyNID.o manifest.o strfbits.o
modpib: modpib.o getoptv.o putoptv.o version.o hexencode.o hexdecode.o todigit.o memincr.o fdchecksum32.o keys.o uintspec.c error.o pibpeek1.o pibpeek2.o hexstring.o pibfile.o pibfile1.o pibfile2.o SHA256.o HPAVKeyNID.o checksum32.o synonym.o
getpib: getpib.o getoptv.o putoptv.o version.o uintspec.o basespec.o todigit.o hexout.o error.o nvmseek2.o checksum32.o fdchecksum32.o
mrgpib: mrgpib.o getoptv.o putoptv.o version.o error.o fdchecksum32.o pibfile1.o
setpib: setpib.o getoptv.o putoptv.o version.o hexpeek.o hexdump.o dataspec.o basespec.o error.o todigit.o uintspec.o bytespec.o pibfile1.o checksum32.o fdchecksum32.o memencode.o nvmseek2.o
setpib1: setpib1.o getoptv.o putoptv.o version.o hexpeek.o hexdump.o dataspec.o basespec.o error.o todigit.o uintspec.o bytespec.o pibfile1.o checksum32.o fdchecksum32.o memencode.o
setpib2: setpib2.o getoptv.o putoptv.o version.o hexpeek.o hexdump.o dataspec.o basespec.o error.o todigit.o uintspec.o bytespec.o pibfile1.o checksum32.o fdchecksum32.o memencode.o
psin: psin.o getoptv.o putoptv.o version.o hexdecode.o hexstring.o todigit.o error.o pibfile.o pibfile1.o pibfile2.o piblock.o pibscalers.o fdchecksum32.o checksum32.o
pskey: pskey.o getoptv.o putoptv.o version.o error.o hexdecode.o hexstring.o hexout.o pibfile1.o SHA256Reset.o SHA256Write.o SHA256Block.o SHA256Fetch.o keys.o fdchecksum32.o
psout: psout.o getoptv.o putoptv.o version.o error.o pibfile.o pibfile1.o pibfile2.o pibscalers.o checksum32.o fdchecksum32.o
psnotch: psnotch.o getoptv.o putoptv.o version.o error.o todigit.o uintspec.o
psgraph: psgraph.o getoptv.o putoptv.o version.o error.o todigit.o uintspec.o pibscalers.o
pibrump: pibrump.o getoptv.o putoptv.o version.o error.o pibfile1.o fdchecksum32.o reword.o hexstring.o hexdecode.o memout.o rules.o
pibruin: pibruin.o getoptv.o putoptv.o version.o error.o pibfile1.o nvmseek2.o checksum32.o fdchecksum32.o reword.o getargv.o hexstring.o hexdecode.o memout.o lookup.o assist.o bytespec.o basespec.o ipv4spec.o ipv6spec.o todigit.o codelist.o emalloc.o rules.o ParseRule.o piblock.o ruledump.o 
pib2xml: pib2xml.o checksum32.o error.o fdchecksum32.o getoptv.o hexview.o output.o nvmseek2.o putoptv.o version.o xmlschema.o
pibdump: pibdump.o getoptv.o putoptv.o version.o hexoffset.o hexview.o emalloc.o error.o checksum32.o fdchecksum32.o nvmseek2.o 
pibcomp: pibcomp.o getoptv.o putoptv.o version.o hexoffset.o hexview.o emalloc.o error.o checksum32.o fdchecksum32.o nvmseek2.o
xml2pib: xml2pib.o HPAVKeyNID.o SHA256Block.o SHA256Fetch.o SHA256Reset.o SHA256Write.o checksum32.o emalloc.o error.o fdchecksum32.o getoptv.o hexdecode.o hexstring.o keys.o manifest.o pibpeek1.o pibpeek2.o putoptv.o strfbits.o todigit.o version.o xmledit.o xmlfree.o xmlnode.o xmlopen.o xmlscan.o xmltree.o output.o

# ====================================================================
# includes;
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../nodes/nodes.mak
include ../key/key.mak
include ../pib/pib.mak
include ../plc/plc.mak

## open-plc-utils 0.0.6+git20250218.cbf52f68

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/LeePen/open-plc-utils.git
 Vcs-Browser: https://salsa.debian.org/LeePen/open-plc-utils
@@ -15,7 +15,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libcap2-bin, sudo
 Suggests: plc-utils-extra
-Description: Basic toolkit for HomePlug Powerline network adapters with Atheros chipsets
+Description: Toolkit for HomePlug Powerline network adapters with Atheros chipsets
  Utilities for users to query information from and flash firmware to the adapter
  chipsets.
  .

## open-plc-utils 0.0.6+git20250517.7fb8ac5

=== docbook/Makefile ===
#!/bin/make -f
# file: docbook/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

PROJECT=open-plc-utils
DOCBOOK=/usr/share/xml/docbook/stylesheet/docbook-xsl/fo  
DOCBOOK=/usr/share/xml/docbook/stylesheet/docbook-xsl/html
LIBRARY=${DOC}/${PROJECT}
XFLAGS=--skip-validation

# ====================================================================
# symbols;
# --------------------------------------------------------------------

TRASH=*~ *.[0-9][0-9][0-9] t t.* *.1 *.1a *.1.html *.c.html *.cpp.html *.h.html *.hpp.html *.1.html *.1a.html *.sh.html *.xml.html *.xsd.html ch[0-9][0-9]*.html 
STYLES=param.xsl lists.xsl synop.xsl
BOOKS=index.html 

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all: compile install
compile: manuals ${TOOLS} ${BOOKS}
	rm -f *.[0-9][0-9][0-9]
manuals: 
	${SHELL} ../docbook/manuals
scripts:
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${LIBRARY}
install: library
	if [ -d ${LIBRARY} ]; then install -m ${WWW_PERM} -o ${OWNER} -g ${GROUP} *.html *.css *.png ${LIBRARY}; fi
uninstall:
	rm -f ${LIBRARY}/*.c.html ${LIBRARY}/*.h.html ${LIBRARY}/*.1.html
setup:
	install ${STYLES} ${DOCBOOK}
clean:
	rm -f ${PAGES} ${TRASH} 
fresh: clean compile

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

index.html: open-plc-utils.xml *.xml *.png
	xmlto ${XFLAGS} -o . html ${<} 
open-plc-utils.pdf: *.xml *.png
	docbook2pdf ${<}
open-plc-utils.txt: *.xml 
	xmlto ${XFLAGS} txt ${<}

=== key/Makefile ===
#!/usr/bin/make -f
# file: crypt/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9] *.a
TOOLS=hpavkey hpavkeys rkey mac2pw mac2pwd
LIBS=libkeys.a
FILES=*.c *.h *.sh *.xml *.txt *.mak Makefile Makefile.*
PAGES=hpavkey.1 hpavkeys.1 rkey.1 mac2pw.1 mac2pwd.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS} ${LIBS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS)
	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} key.sh
fresh: clean compile
clean:
	rm -f ${TOOLS} ${TRASH}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules;
# --------------------------------------------------------------------

%: %.o 
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# targets;
# --------------------------------------------------------------------

hpavkey: hpavkey.o HPAVKeyDAK.o HPAVKeyNID.o HPAVKeyNMK.o HPAVKeyOut.o HPAVKeySHA.o SHA256.o error.o getoptv.o hexout.o putoptv.o todigit.o uintspec.o version.o
hpavkeys: hpavkeys.o HPAVKeyDAK.o HPAVKeyNID.o HPAVKeyNMK.o HPAVKeyOut.o HPAVKeySHA.o SHA256.o error.o getoptv.o hexout.o putoptv.o todigit.o uintspec.o version.o
mac2pw: mac2pw.o MACPasswords.o RNDPasswords.o putpwd.o error.o getoptv.o putoptv.o todigit.o uintspec.o version.o
mac2pwd: mac2pwd.o MACPasswords.o RNDPasswords.o putpwd.o error.o getoptv.o putoptv.o todigit.o uintspec.o version.o
rkey: rkey.o HPAVKeyDAK.o HPAVKeyNID.o HPAVKeyNMK.o HPAVKeyOut.o HPAVKeySHA.o SHA256Block.o SHA256Fetch.o SHA256Reset.o SHA256Write.o error.o getoptv.o hexout.o putoptv.o strincr.o todigit.o uintspec.o version.o
libkeys.a: HPAVKeySHA.o HPAVKeyDAK.o HPAVKeyNMK.o HPAVKeyNID.o HPAVKeyOut.o SHA256.o strnpwd.o
	rm -f ${@}
	$(AR) rc ${@} ${^}
	$(RANLIB) ${@}

# ====================================================================
# 
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../key/key.mak

=== debian/changelog ===
open-plc-utils (0.0.6+git20250517.7fb8ac5-1) unstable; urgency=medium

  * d/control: bump standards version (no changes).
  * New upstream version, commit 7fb8ac5.

 -- Mark Hindley <leepen@debian.org>  Wed, 02 Jul 2025 18:48:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/LeePen/open-plc-utils.git
 Vcs-Browser: https://salsa.debian.org/LeePen/open-plc-utils

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="mode=git, pgpmode=none, pretty=0.0.6+git%cd.%h" \
https://github.com/qca/open-plc-utils \
HEAD debian uupdate
